about summary refs log tree commit diff
path: root/check-world
diff options
context:
space:
mode:
Diffstat (limited to 'check-world')
-rwxr-xr-xcheck-world11
1 files changed, 11 insertions, 0 deletions
diff --git a/check-world b/check-world
new file mode 100755
index 0000000..cc92562
--- /dev/null
+++ b/check-world
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+world="/var/lib/portage/world"
+
+[ -f "${world}" ] || exit
+
+while read -r line; do
+    if [ -n "$(qdepends --quiet --query "${line}")" ]; then
+        echo "${line}"
+    fi
+done <"${world}"

Consider giving Nix/NixOS a try! <3